Subject: Re: [PATCH v2 net-next 0/4] cxgb4: Reference count MPS TCAM entries within a PF

From: Raju Rangoju <[email-masked]>
Date: Mon, 24 Jun 2019 22:36:37 +0530

On Monday, June 06/24/19, 2019 at 07:53:23 -0700, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Mon, 24 Jun 2019 07:51:32 -0700 (PDT)
> 
> > From: Raju Rangoju <[email-masked]>
> > Date: Mon, 24 Jun 2019 14:20:33 +0530
> > 
> >> Firmware reference counts the MPS TCAM entries by PF and VF,
> >> but it does not do it for usage within a PF or VF. This patch
> >> adds the support to track MPS TCAM entries within a PF.
> >> 
> >> v1->v2:
> >>  Use refcount_t type instead of atomic_t for mps reference count
> > 
> > Series applied, thanks.
> 
> Umm, REALLY?!?!?!
> 
> drivers/net/ethernet/chelsio/cxgb4/cxgb4_mps.c: In function ‘cxgb4_mps_ref_dec_by_mac’:
> drivers/net/ethernet/chelsio/cxgb4/cxgb4_mps.c:17:29: error: passing argument 1 of ‘atomic_dec_and_test’ from incompatible pointer type [-Werror=incompatible-pointer-types]
>     if (!atomic_dec_and_test(&mps_entry->refcnt)) {
>                              ^~~~~~~~~~~~~~~~~~
> 
> You just changed it to a refcount_t and didn't try compiling the
> result?
> 

No. I'm pretty sure that I have compiled and tested the changes. But, my bad
I had missed to '--amend' the last patch after 'git add'.

I'll send out next version.

> The whole point of refcount_t is that it uses a different set of
> interfaces to manipulate the object and you have to therefore
> update all the call sites properly.
> 
> Reverted...